Subject: Re: [Fecframe] Adopt ?

From: Jérôme Lacan <[email-masked]>
Date: Wed, 5 Jan 2011 09:06:35 +0100

Hello,

As a co-author of the draft draft-roca-fecframe-ldpc-01 and researcher in
the domain of coding theory, I fully support the adoption of this draft by
the FECFRAME WG.

Indeed, even though a huge quantity of different LDPC codes were proposed
for the erasure channel in the coding community, the ldpc-staircase
presented in this draft are the only one to have the sufficient maturity to
be adopted by FECFRAME.

Since their first presentation in June 2005 at the RMT WG and their adoption
as RFC 5170 in 2008, both academics and industrials has evaluated them and
validated the excellent performance in terms of correction capability and
processing speed with the proposed implementations.

For these reasons, these codes appear to be a excellent complement of the
Raptor and (probably) the Reed-Solomon in the set of codes adapted by the
FECFRAME WG. 

Regards,
Jerome Lacan
Professor, ISAE/LAAS-CNRS, Toulouse, France

> Date: Tue, 21 Dec 2010 17:05:56 +0100
> From: Vincent Roca <[email-masked]>
> Subject: Re: [Fecframe] Adopt?
> To: [email-masked]
> 
> Hello Greg, David and everybody,
> 
> Yes, let us follow the charter since this latter is explicit on how to 
> proceed.
> 
> 1/ Concerning the two Reed-Solomon I-Ds, there are so many use-cases 
> relying on those codes, including for the "erasure channel", both for 
> real-time and non real-time flow protection, that it does *not* make 
> sense to solicit any external review.
> Additionally they are used in the most simplest manner in the proposed 
> schemes IMHO. Tell me if you disagree...
> 
> 
> 2/ Concerning our LDPC-Staircase I-D, the situation is different, so 
> let's apply the rules. Two elements:
> 
> - LDPC-Staircase codes are already well known by the IETF
>     community, they are not brand new codes. See RFC 5170.
> 
> - their applicability to certain FECFRAME use-cases has been
>     studied, and the results published. See:
> 
>      K. Matsuzono, J. Detchart, M. Cunche, V. Roca, H. Asaeda,
>      "Performance Analysis of a High-Performance Real-Time
>       Application with Several AL-FEC Schemes",
>      35th Annual IEEE Conference on Local Computer Networks
>      2010 (LCN 2010), October 2010.
> 
> http://planete.inrialpes.fr/people/roca/doc/lcn10_dvts_fecframe_2010ju
> l
> 25_hal.pdf
> 
>      This is the paper that I quickly introduced at Beijing during
>      the meeting.
> 
> Anyway I'll solicit external opinions as you suggested.
> Regards,
> 
>    Vincent
> 
> --
>    Vincent Roca, INRIA research institute, France
>    http://planete.inrialpes.fr/people/roca/
> 
> 
> On 11/12/10 08:06, Greg Shepherd wrote:
> > Yes, you are just being a pain in the butt. Adoption as a working
> group item is not the same acceptance.
> >
> > Greg
> >
> > Sent from my iPhone
> >
> > On Dec 11, 2010, at 8:30, "David Harrington"<[email-masked]>
> wrote:
> >
> >> Hi,
> >>
> >> Not to be a pain in the butt, but to be a pain in the butt ... ;-)
> >>
> >> Your charter is explicit:
> >> "the acceptance of any FEC scheme will require multiple, prior, 
> >> detailed reviews of the FEC code by independent experts from both 
> >> the IETF
> and
> >> the broader community, since it is likely that the IETF working
> group
> >> will not include a large enough number of suitable experts in its 
> >> working set. If these reviews are positive, then Working Group 
> >> acceptance of an FEC scheme work item still needs the approval of
> the
> >> responsible Area Director."
> >>
> >> We need more than just approval/disapproval from the WG
> participants.
> >> We need multiple, prior, detailed reviews of the FEC code by 
> >> independent experts from both the IETF and the broader community.
> >>
> >> Please provide detailed reviews of the FEC code, and solicit
> detailed
> >> reviews from others in the broader community. Then we can talk 
> >> about adopting new WG drafts.
> >>
> >> David Harrington
> >> Director, IETF Transport Area
> >> [email-masked] (preferred for ietf) 
> >> [email-masked]
> >> +1 603 828 1401 (cell)
> >>
> >>> -----Original Message-----
> >>> From: [email-masked]
> >>> [mailto:[email-masked]] On Behalf Of Greg Shepherd
> >>> Sent: Thursday, December 09, 2010 12:50 PM
> >>> To: [email-masked]
> >>> Subject: [Fecframe] Adopt?
> >>>
> >>> *,
> >>>
> >>> As per the discussion at the last WG meeting, can you each respond 
> >>> with your comments (approval/ disapproval) for the group to adopt
> >> the
> >>> following drafts:
> >>>
> >>> - draft-roca-fecframe-simple-rs-01
> >>> - draft-galanos-fecframe-rtp-reedsolomon-02
> >>> - draft-roca-fecframe-ldpc-01
> >>>
> >>> Thanks,
> >>> Greg
> >>> _______________________________________________
> >>> Fecframe mailing list
> >>> [email-masked]
> >>> https://www.ietf.org/mailman/listinfo/fecframe
> 
> 
> ------------------------------
> 
> _______________________________________________
> Fecframe mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/fecframe
> 
> 
> End of Fecframe Digest, Vol 59, Issue 21
> ****************************************